Skip to main content
Want to skip the docs? Use the MCP Server
Endpoint availability: Premium and aboveLearn more
{
  "data": {
    "score": 3,
    "reason": "Email domain is considered dangerous.",
    "isValid": false,
    "isFree": false,
    "isRoleBased": true,
    "isEducational": false,
    "isDisposable": false,
    "blacklisted": false,
    "email": "test@dangerous-domain.com",
    "domain": {
      "name": "dangerous-domain.com",
      "is_dangerous": true,
      "is_spf": false,
      "is_dmarc": false,
      "is_dkim": false,
      "is_mx": false,
      "is_bimi": false,
      "created_at": "2025-02-05",
      "is_new": true
    },
    "custom_rules_applied": { "total": 0, "rules": [] }
  },
  "status": "success",
  "executionTime": 1
}
{
  "status": "error",
  "code": 101,
  "type": "invalid_key",
  "description": "The API Key is missing or invalid."
}
GET
/
scoring
/
email
Email Scoring
curl --request GET \
  --url https://greipapi.com/scoring/email \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://greipapi.com/scoring/email"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://greipapi.com/scoring/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "score": 3,
    "reason": "Email domain is considered dangerous.",
    "isValid": false,
    "isFree": false,
    "isRoleBased": true,
    "isEducational": false,
    "isDisposable": false,
    "blacklisted": false,
    "email": "test@dangerous-domain.com",
    "domain": {
      "name": "dangerous-domain.com",
      "is_dangerous": true,
      "is_spf": false,
      "is_dmarc": false,
      "is_dkim": false,
      "is_mx": false,
      "is_bimi": false,
      "created_at": "2025-02-05",
      "is_new": true
    },
    "custom_rules_applied": { "total": 0, "rules": [] }
  },
  "status": "success",
  "executionTime": 1
}
{
  "status": "error",
  "code": 101,
  "type": "invalid_key",
  "description": "The API Key is missing or invalid."
}

Query Parameters

email
string
required
The email command is used to specify the email you want to validate.Expected values: an email addressSample value: name@domain.com
format
string
default:"JSON"
The format command is used to get a response in a specific format.Expected values: JSON, XML, CSV, or NewlineFor more information please refer to Response Format.
mode
string
default:"live"
The mode command is used to in the development stage to simulate the integration process before releasing it to the production environment.Expected values: live, or test.For more information please refer to Development Environment.
userID
string
The userID command can be used to identify requests sent by specific users to monitor in the Events Page.Expected values: email address, phone number, user id, name, etc.For more information please refer to User Identifier.
callback
string
The callback command can help you make the response as a JSONP format.Expected values: any name that can be used as a function name in Javascript, e.g: myFunctionName.For more information please refer to JSONP Callback.

Response properties

data
object
required
status
string
required
The response status.Expected values: success, or error.
executionTime
integer
required
Time spent in milliseconds to process the data.

What can I expect from this API?

  • Detection of disposable email addresses (also known as Temporary Email Addresses)
  • Detection of free email service providers
  • Detection of role-based email addresses
  • Testing the email service provider of a given email address
  • Validation of email syntax